/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Dienst Verkeerskunde
 *                     WSRA
 * File:               CRAPCOD.C
 *
 * Nummer kruispunt:        1
 * Regelprogramma vri:      Voorbeeldregeling busingreep
 *
 * datum:                   7 juni 1999
 * gewijzigd:               26 augustus 2004 aanpassing aan RWS C-versie 7.14,
 *                                           gebruik EGGPARMS ipv EPARMS
 *                                           andere afhandeling bussen
 *                                           loskoppeling busingreep van beperking busingreep
 * gewijzigd:               5 oktober 2005   aanpassing PPB_OP in craptab ivm conflicterende BR
 * versie:                  3.2
 */

#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"
#include "bus.inc"       /* busingreep, wsra-standaard 12, versie 3.2 */

#ifdef pc_omgeving
  #include "crfutils.h"  /* tbv printxy in flash                      */
#endif


void init_bij_inschakelen(void)
{ 
}

void voorwaarden_per_seconde(void)
{
}

void overige_voorwaarden(void)
{
    bus_ingreep1 (SG02,                  /* SG waar bus op rijdt            */
                  SG02_2,                /* inmeldlus voor bus              */
                  SG02_3,                /* uitmeldlus voor bus             */
                  T_UITST_BUS_02,        /* uitstel busmelding              */
                  T_MIN_BUS_02,          /* ongehinderde rijtijd bus op SGn */ 
                  T_MAX_BUS_02,          /* max. toelaatbare groentijd SGn  */
                  EP_INM_GEB_BUS_02,     /* tijd inmeldgebied tijdens Gn    */
                  EG_N_BUS_OP_02,        /* aantal bussen op SGn            */
                  EG_N_BEH_BUS_OP_02,    /* aantal te behandelen bussen SGn */
                  H_BUS_OP_02);          /* te behandelen bussen op SGn     */

    bus_ingreep2 (SG08,                  /* SG waar bus op rijdt            */
                  SG08_2,                /* 1e inmeldlus                    */
                  SG08_3,                /* 2e inmeldlus                    */
                  SG08_4,                /* 1e uitmeldlus                   */
                  SG08_5,                /* 2e uitmeldlus                   */
                  T_UITST_BUS_08,        /* uitstel busmelding              */
                  T_MIN_BUS_08,          /* ongehinderde rijtijd bus op SGn */ 
                  T_MAX_BUS_08,          /* max. toelaatbare groentijd SGn  */ 
                  EP_INM_GEB_BUS_08,     /* tijd inmeldgebied tijdens Gn    */
                  EG_N_BUS_OP_08,        /* aantal bussen op SGn            */ 
                  EG_N_BEH_BUS_OP_08,    /* aantal te behandelen bussen SGn */
                  H_BUS_OP_08);          /* te behandelen bussen op SGn     */

    beperk_ingreep (EG_BR,               /* aantal bijzondere realisaties   */
                    EG_MAX_N_BR,         /* maximaal aantal BR in 1 cyclus  */
                    H_BEPERK_BUS);       /* beperk ingreep bus 1 cyclus     */

/* PC OMGEVING */

#ifdef pc_omgeving
    printxy(0,0,"AANTAL BIJZONDERE REALISATIES: %2d (MAX: %2d)", inst_EGGPARM(EG_BR), inst_EGGPARM(EG_MAX_N_BR));
    if (HF(H_BEPERK_BUS))     { printxy(0,1,"***** BEPERKING BUSINGREEP *****"); }
    else                      { printxy(0,1,"                                "); }

    printxy( 0,3,"AANTAL BUSSEN OP SG02:       %2d", inst_EGGPARM(EG_N_BUS_OP_02));
    printxy( 0,4,"AANTAL TE BEHANDELEN BUSSEN: %2d", inst_EGGPARM(EG_N_BEH_BUS_OP_02));
    printxy(35,3,"AANTAL BUSSEN OP SG08:       %2d", inst_EGGPARM(EG_N_BUS_OP_08));
    printxy(35,4,"AANTAL TE BEHANDELEN BUSSEN: %2d", inst_EGGPARM(EG_N_BEH_BUS_OP_08));
    if (HF(H_BUS_OP_02))      { printxy( 0,9,"***** BUS OP SG02 *****"); }
    else                      { printxy( 0,9,"                       "); }
    if (HF(H_BUS_OP_08))      { printxy(35,9,"***** BUS OP SG08 *****"); }
    else                      { printxy(35,9,"                       "); }
    if (TIJD(T_UITST_BUS_02)) { printxy( 0,5,"UITSTELTIJD:      %4d", waarde_TIJD(T_UITST_BUS_02));    }
    else                      { printxy( 0,5,"                      "); }
    if (TIJD(T_MIN_BUS_02))   { printxy( 0,6,"MINIMALE RIJTIJD: %4d", waarde_TIJD(T_MIN_BUS_02));    }
    else                      { printxy( 0,6,"                      "); }
    if (TIJD(T_MAX_BUS_02))   { printxy( 0,7,"MAX GROENTIJD:    %4d", waarde_TIJD(T_MAX_BUS_02));    }
    else                      { printxy( 0,7,"                      "); }
    if (TIJD(T_UITST_BUS_08)) { printxy(35,5,"UITSTELTIJD:      %4d", waarde_TIJD(T_UITST_BUS_08));    }
    else                      { printxy(35,5,"                      "); }
    if (TIJD(T_MIN_BUS_08))   { printxy(35,6,"MINIMALE RIJTIJD: %4d", waarde_TIJD(T_MIN_BUS_08));    }
    else                      { printxy(35,6,"                      "); }
    if (TIJD(T_MAX_BUS_08))   { printxy(35,7,"MAX GROENTIJD:    %4d", waarde_TIJD(T_MAX_BUS_08));    }
    else                      { printxy(35,7,"                      "); }
#endif
                   
}
